Overview | Modules | Class Hierarchy | Classes | Members

Defines | Functions
vs_compat.h File Reference
`#include <cmath>`
Include dependency graph for vs_compat.h:

## Defines

- #define isnan(x) _isnan(x)
- #define isinf(x) !_finite(x)
- #define strcasecmp stricmp

## Functions

- static double sqrt (int i)
- static double sqrt (unsigned int i)
- static double log (int i)
- static double log (unsigned int i)
- static double floor (int i)
- static double floor (unsigned int i)
- static double fabs (int i)
- static double fabs (unsigned int i)
- static double round (double d)
- static float cbrt (float arg)
- static double cbrt (double arg)
- static long double cbrt (long double arg)
- static double rint (double arg)
- static float rint (float arg)
- static long double rint (long double arg)

## Define Documentation

#define isinf | ( |  | x | ) | !_finite(x)

#define isnan | ( |  | x | ) | _isnan(x)

#define strcasecmp stricmp

## Function Documentation

static float cbrt | ( | float | arg | ) | `[static]`

static double cbrt | ( | double | arg | ) | `[static]`

static long double cbrt | ( | long double | arg | ) | `[static]`

static double fabs | ( | int | i | ) | `[static]`

static double fabs | ( | unsigned int | i | ) | `[static]`

static double floor | ( | int | i | ) | `[static]`

static double floor | ( | unsigned int | i | ) | `[static]`

static double log | ( | int | i | ) | `[static]`

static double log | ( | unsigned int | i | ) | `[static]`

static long double rint | ( | long double | arg | ) | `[static]`

static float rint | ( | float | arg | ) | `[static]`

static double rint | ( | double | arg | ) | `[static]`

static double round | ( | double | d | ) | `[static]`

static double sqrt | ( | int | i | ) | `[static]`

static double sqrt | ( | unsigned int | i | ) | `[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012